#include <bits/stdc++.h>
using namespace std;

string s;
int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
	
	cin>>s;
	int sol=0;
	for(auto x:s)
	{
		int cif=x-'0';
		
		sol+=cif/5;
		cif%=5;
		
		sol+=cif/2;
		cif%=2;
		
		sol+=cif;
	}
	cout<<sol<<endl;
	return 0;
}